GtkWidget *menu_bar;
GtkWidget *menuitem;
GtkWidget *filemenu;
GtkWidget *file_menu_new;
GtkWidget *file_menu_open;
GtkWidget *file_menu_save;
GtkWidget *file_menu_saveas;
GtkWidget *file_menu_close;
GtkWidget *file_menu_exit;
GtkWidget *editmenu;
GtkWidget *edit_menu_change;
GtkWidget *edit_menu_newcat;
GtkWidget *edit_menu_newsubcat;
GtkWidget *edit_menu_newitem;
GtkWidget *edit_menu_cat2item;
GtkWidget *edit_menu_item2cat;
GtkWidget *edit_menu_delete;
GtkWidget *optionsmenu;
GtkWidget *options_menu_prefs;
GtkWidget *helpmenu;
GtkWidget *help_menu_contents;
GtkWidget *help_menu_license;
GtkWidget *help_menu_about;


GnomeUIInfo file_menu[] = {
         GNOMEUIINFO_MENU_NEW_ITEM("_New", "New Catalog", new_file, 0),
         GNOMEUIINFO_MENU_OPEN_ITEM(open_file, 0),
         GNOMEUIINFO_MENU_CLOSE_ITEM(close_file, 0),
         GNOMEUIINFO_SEPARATOR,
         GNOMEUIINFO_MENU_SAVE_ITEM(save_file, 0),
         GNOMEUIINFO_MENU_SAVE_AS_ITEM(save_file_as, 0),
         GNOMEUIINFO_SEPARATOR,
         GNOMEUIINFO_MENU_EXIT_ITEM(gtk_main_quit, 0),
         GNOMEUIINFO_END
};


GnomeUIInfo edit_menu[] = {
         GNOMEUIINFO_ITEM("E_dit Item", "Edit selected item", change_text, 0),
         GNOMEUIINFO_SEPARATOR,
         GNOMEUIINFO_ITEM("_New Category", "Create new category", insert_new_cat, 0),
         GNOMEUIINFO_ITEM("New _Sub Category", "Create new sub category", insert_new_subcat, 0),
         GNOMEUIINFO_ITEM("New I_tem", "Create new item", insert_new_item, 0),
         GNOMEUIINFO_SEPARATOR,
         GNOMEUIINFO_ITEM("Category > _Item", "Convert to item", category_to_item, 0),
         GNOMEUIINFO_ITEM("Item > _Category", "Convert to category", item_to_category, 0),
         GNOMEUIINFO_SEPARATOR,
         GNOMEUIINFO_ITEM("_Delete Item", "Delete selected item", delete_item, 0),         
         GNOMEUIINFO_END
};


GnomeUIInfo options_menu[] = {
         GNOMEUIINFO_MENU_PREFERENCES_ITEM(change_settings, "0"),
         GNOMEUIINFO_END
};

GnomeUIInfo help_menu[] = {
         GNOMEUIINFO_ITEM_NONE("_Contents", "Help file", read_help),         
         GNOMEUIINFO_ITEM_NONE("_License", "Delete selected item", read_license),
         GNOMEUIINFO_MENU_ABOUT_ITEM(change_settings, "4"),
         GNOMEUIINFO_END
};

GnomeUIInfo menubar[] = {
         GNOMEUIINFO_SUBTREE("_File", file_menu),
         GNOMEUIINFO_SUBTREE("_Edit", edit_menu),
         GNOMEUIINFO_SUBTREE("_Options", options_menu),
         GNOMEUIINFO_SUBTREE("_Help", help_menu),
         GNOMEUIINFO_END
};

void make_menus()
{
   gnome_app_create_menus(GNOME_APP(window), menubar);
   (GtkMenuBar *)menu_bar = GTK_MENU_BAR(GNOME_APP(window)->menubar);  
   (GtkMenuItem *)filemenu = GTK_MENU_ITEM(GTK_MENU_BAR(menu_bar)->menu_shell.children->data);
   (GtkMenuItem *)editmenu = GTK_MENU_ITEM(GTK_MENU_BAR(menu_bar)->menu_shell.children->next->data);
   (GtkMenuItem *)optionsmenu = GTK_MENU_ITEM(GTK_MENU_BAR(menu_bar)->menu_shell.children->next->next->data);
   (GtkMenuItem *)helpmenu = GTK_MENU_ITEM(GTK_MENU_BAR(menu_bar)->menu_shell.children->next->next->next->data);
   (GtkPixmapMenuItem *)edit_menu_change = GTK_PIXMAP_MENU_ITEM(GTK_MENU_SHELL(GTK_MENU_ITEM(editmenu)->submenu)->children->next->data);
   (GtkPixmapMenuItem *)edit_menu_newcat = GTK_PIXMAP_MENU_ITEM(GTK_MENU_SHELL(GTK_MENU_ITEM(editmenu)->submenu)->children->next->next->next->data);
   (GtkPixmapMenuItem *)edit_menu_newsubcat = GTK_PIXMAP_MENU_ITEM(GTK_MENU_SHELL(GTK_MENU_ITEM(editmenu)->submenu)->children->next->next->next->next->data);
   (GtkPixmapMenuItem *)edit_menu_newitem = GTK_PIXMAP_MENU_ITEM(GTK_MENU_SHELL(GTK_MENU_ITEM(editmenu)->submenu)->children->next->next->next->next->next->data);
   (GtkPixmapMenuItem *)edit_menu_cat2item = GTK_PIXMAP_MENU_ITEM(GTK_MENU_SHELL(GTK_MENU_ITEM(editmenu)->submenu)->children->next->next->next->next->next->next->next->data);
   (GtkPixmapMenuItem *)edit_menu_item2cat = GTK_PIXMAP_MENU_ITEM(GTK_MENU_SHELL(GTK_MENU_ITEM(editmenu)->submenu)->children->next->next->next->next->next->next->next->next->data);
   (GtkPixmapMenuItem *)edit_menu_delete = GTK_PIXMAP_MENU_ITEM(GTK_MENU_SHELL(GTK_MENU_ITEM(editmenu)->submenu)->children->next->next->next->next->next->next->next->next->next->next->data);
}

void read_help(GtkWidget *widget)
{
   char *cur = "2";
   change_settings(widget, (void **)cur);
   return;
}

void read_license(GtkWidget *widget)
{
   char *cur = "3";
   change_settings(widget, (void **)cur);
   return;
}

/*
void make_menus()
{
   menu_bar = gtk_menu_bar_new ();
   gtk_widget_show(menu_bar);

   file_menu = gtk_menu_new();
   file_menu_new = gtk_menu_item_new_with_label("New");
   gtk_menu_append(GTK_MENU (file_menu), file_menu_new);
   gtk_signal_connect_object(GTK_OBJECT(file_menu_new), "activate", GTK_SIGNAL_FUNC(new_file), 0);
   gtk_widget_show (file_menu_new);

   file_menu_open = gtk_menu_item_new_with_label("Open");
   gtk_menu_append(GTK_MENU (file_menu), file_menu_open);
   gtk_signal_connect_object(GTK_OBJECT(file_menu_open), "activate", GTK_SIGNAL_FUNC(open_file), 0);
   gtk_widget_show (file_menu_open);

   file_menu_close = gtk_menu_item_new_with_label("Close");
   gtk_menu_append(GTK_MENU (file_menu), file_menu_close);
   gtk_signal_connect_object(GTK_OBJECT(file_menu_close), "activate", GTK_SIGNAL_FUNC(close_file), 0);
   gtk_widget_show (file_menu_close);

   menuitem = gtk_menu_item_new();
   gtk_menu_append(GTK_MENU(file_menu), menuitem);
   gtk_widget_show(menuitem);

   file_menu_save = gtk_menu_item_new_with_label("Save");
   gtk_menu_append(GTK_MENU (file_menu), file_menu_save);
   gtk_signal_connect_object(GTK_OBJECT(file_menu_save), "activate", GTK_SIGNAL_FUNC(save_file), 0);
   gtk_widget_show (file_menu_save);

   file_menu_saveas = gtk_menu_item_new_with_label("Save As");
   gtk_menu_append(GTK_MENU (file_menu), file_menu_saveas);
   gtk_signal_connect_object(GTK_OBJECT(file_menu_saveas), "activate", GTK_SIGNAL_FUNC(save_file_as), 0);
   gtk_widget_show (file_menu_saveas);

   menuitem = gtk_menu_item_new();
   gtk_menu_append(GTK_MENU(file_menu), menuitem);
   gtk_widget_show(menuitem);

   file_menu_exit = gtk_menu_item_new_with_label("Exit");
   gtk_menu_append(GTK_MENU (file_menu), file_menu_exit);
   gtk_signal_connect_object(GTK_OBJECT(file_menu_exit), "activate", GTK_SIGNAL_FUNC(destroy), 0);
   gtk_widget_show (file_menu_exit);

   file_menu_label = gtk_menu_item_new_with_label ("File");
   gtk_widget_show (file_menu_label);
   gtk_menu_item_set_submenu (GTK_MENU_ITEM (file_menu_label), file_menu);
   gtk_menu_bar_append (GTK_MENU_BAR (menu_bar), file_menu_label);

   edit_menu = gtk_menu_new();
   edit_menu_change = gtk_menu_item_new_with_label("Edit Item");
   gtk_menu_append(GTK_MENU(edit_menu), edit_menu_change);
   gtk_signal_connect_object(GTK_OBJECT(edit_menu_change), "activate", GTK_SIGNAL_FUNC(change_text), 0);
   gtk_widget_show(edit_menu_change);

   menuitem = gtk_menu_item_new();
   gtk_menu_append(GTK_MENU(edit_menu), menuitem);
   gtk_widget_show(menuitem);

   edit_menu_newcat = gtk_menu_item_new_with_label("New Category");
   gtk_menu_append(GTK_MENU(edit_menu), edit_menu_newcat);
   gtk_signal_connect_object(GTK_OBJECT(edit_menu_newcat), "activate", GTK_SIGNAL_FUNC(insert_new_cat), 0);
   gtk_widget_show(edit_menu_newcat);

   edit_menu_newsubcat = gtk_menu_item_new_with_label("New Sub Category");
   gtk_menu_append(GTK_MENU(edit_menu), edit_menu_newsubcat);
   gtk_signal_connect_object(GTK_OBJECT(edit_menu_newsubcat), "activate", GTK_SIGNAL_FUNC(insert_new_subcat), 0);
   gtk_widget_show(edit_menu_newsubcat);

   edit_menu_newitem = gtk_menu_item_new_with_label("New Item");
   gtk_menu_append(GTK_MENU(edit_menu), edit_menu_newitem);
   gtk_signal_connect_object(GTK_OBJECT(edit_menu_newitem), "activate", GTK_SIGNAL_FUNC(insert_new_item), 0);
   gtk_widget_show(edit_menu_newitem);

   menuitem = gtk_menu_item_new();
   gtk_menu_append(GTK_MENU(edit_menu), menuitem);
   gtk_widget_show(menuitem);

   edit_menu_cat2item = gtk_menu_item_new_with_label("Category > Item");
   gtk_menu_append(GTK_MENU(edit_menu), edit_menu_cat2item);
   gtk_signal_connect_object(GTK_OBJECT(edit_menu_cat2item), "activate", GTK_SIGNAL_FUNC(category_to_item), 0);
   gtk_widget_show(edit_menu_cat2item);

   edit_menu_item2cat = gtk_menu_item_new_with_label("Item > Category");
   gtk_menu_append(GTK_MENU(edit_menu), edit_menu_item2cat);
   gtk_signal_connect_object(GTK_OBJECT(edit_menu_item2cat), "activate", GTK_SIGNAL_FUNC(item_to_category), 0);
   gtk_widget_show(edit_menu_item2cat);

   edit_menu_delete = gtk_menu_item_new_with_label("Delete Item");
   gtk_menu_append(GTK_MENU(edit_menu), edit_menu_delete);
   gtk_signal_connect_object(GTK_OBJECT(edit_menu_delete), "activate", GTK_SIGNAL_FUNC(delete_item), 0);
   gtk_widget_show(edit_menu_delete);

   edit_menu_label = gtk_menu_item_new_with_label("Edit");
   gtk_widget_show(edit_menu_label);
   gtk_menu_item_set_submenu(GTK_MENU_ITEM(edit_menu_label), edit_menu);
   gtk_menu_bar_append(GTK_MENU_BAR(menu_bar), edit_menu_label);

   options_menu = gtk_menu_new();
   options_menu_prefs = gtk_menu_item_new_with_label("Preferences");
   gtk_menu_append(GTK_MENU(options_menu), options_menu_prefs);
   gtk_signal_connect(GTK_OBJECT(options_menu_prefs), "activate", GTK_SIGNAL_FUNC(change_settings), "0");
   gtk_widget_show(options_menu_prefs);

   options_menu_label = gtk_menu_item_new_with_label("Options");
   gtk_widget_show(options_menu_label);
   gtk_menu_item_set_submenu(GTK_MENU_ITEM(options_menu_label), options_menu);
   gtk_menu_bar_append(GTK_MENU_BAR(menu_bar), options_menu_label);
   

   help_menu = gtk_menu_new();
   help_menu_contents = gtk_menu_item_new_with_label("Contents");
   gtk_menu_append(GTK_MENU(help_menu), help_menu_contents);
   gtk_signal_connect(GTK_OBJECT(help_menu_contents), "activate", GTK_SIGNAL_FUNC(change_settings), "2");
   gtk_widget_show(help_menu_contents);

   help_menu_license = gtk_menu_item_new_with_label("License");
   gtk_menu_append(GTK_MENU(help_menu), help_menu_license);
   gtk_signal_connect(GTK_OBJECT(help_menu_license), "activate", GTK_SIGNAL_FUNC(change_settings), "3");
   gtk_widget_show(help_menu_license);

   help_menu_about = gtk_menu_item_new_with_label("About");
   gtk_menu_append(GTK_MENU(help_menu), help_menu_about);
   gtk_signal_connect(GTK_OBJECT(help_menu_about), "activate", GTK_SIGNAL_FUNC(change_settings), "4");
   gtk_widget_show(help_menu_about);

   help_menu_label = gtk_menu_item_new_with_label("Help");
   gtk_widget_show(help_menu_label);
   gtk_menu_item_set_submenu(GTK_MENU_ITEM(help_menu_label), help_menu);
   gtk_menu_bar_append(GTK_MENU_BAR(menu_bar), help_menu_label);

   gnome_app_set_menus(GNOME_APP(window), GTK_MENU_BAR(menu_bar));
}

*/