
void make_tree(GtkWidget *tree, const char *FileName)
{
   GtkWidget *sub_tree[15];
   GtkWidget *main_item;
   GtkWidget *sub_item;
   char buffer[257];
   char *char_ptr1;
   char *char_ptr2;   
   int tree_counter = 0;
   ifstream Input;
   Input.open(FileName);
   
   if(!Input)
   {
      cout << "There was a problem finding the file " << FileName << endl;
      return;
   }
   
   sub_tree[0] = tree;   // point this to the root tree.
   
   while(Input.getline(buffer, 256) != NULL)
   {

      if((char_ptr1 = strstr(buffer, "<Tree name = ")) != NULL)
      {
         if((char_ptr1 = strchr(buffer, '[')) == NULL)
            continue;
         if((char_ptr2 = strchr(buffer, ']')) == NULL)
            continue;
      
         char_ptr1++;
         *char_ptr2 = '\0';
         main_item = gtk_tree_item_new_with_label(char_ptr1);
         gtk_tree_append(GTK_TREE(sub_tree[tree_counter]), main_item);
         tree_counter++;
         sub_tree[tree_counter] = gtk_tree_new();
         gtk_tree_item_set_subtree(GTK_TREE_ITEM(main_item), sub_tree[tree_counter]);
         gtk_signal_connect_object(GTK_OBJECT(main_item), "select", GTK_SIGNAL_FUNC(show_selected_item), 0);
         gtk_signal_connect_object(GTK_OBJECT(main_item), "deselect", GTK_SIGNAL_FUNC(unshow_selected_item), 0);
         gtk_widget_show(main_item);
         continue;
      }

      if((strstr(buffer, "<TreeItem name = ")) != NULL)
      {
         if((char_ptr1 = strchr(buffer, '[')) == NULL)
            continue;
         if((char_ptr2 = strchr(buffer, ']')) == NULL)
            continue;
         char_ptr1++;
         *char_ptr2 = '\0';
         sub_item = gtk_tree_item_new_with_label(char_ptr1);
         gtk_tree_append(GTK_TREE(sub_tree[tree_counter]), sub_item);
         gtk_signal_connect_object(GTK_OBJECT(sub_item), "select", GTK_SIGNAL_FUNC(show_selected_item), 0);
         gtk_signal_connect_object(GTK_OBJECT(sub_item), "deselect", GTK_SIGNAL_FUNC(unshow_selected_item), 0);
         gtk_widget_show(sub_item);         
         continue;
      }
      
      if((strstr(buffer, "</Tree>")) != NULL)
      {
         tree_counter--;         
         continue;
      }

      if((strstr(buffer, "</TreeItem>")) != NULL)
      {
         continue;
      }

   }
   Input.close();
}
         
         
